Bug 27280 - Explanation for "Days mode" is not consistent
Summary: Explanation for "Days mode" is not consistent
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Nick Clemens
URL:
Keywords:
Depends on: 27026
Blocks:
  Show dependency treegraph
 
Reported: 2020-12-18 15:23 UTC by Jonathan Druart
Modified: 2021-02-11 22:29 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.02


Attachments
Bug 27280: (bug 27026 follow-up) Make consistent the explanation for "Days mode" (2.61 KB, patch)
2020-12-18 15:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27280: (bug 27026 follow-up) Make consistent the explanation for "Days mode" (2.68 KB, patch)
2020-12-18 15:30 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 27280: (bug 27026 follow-up) Make consistent the explanation for "Days mode" (2.73 KB, patch)
2020-12-21 14:37 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-12-18 15:23:08 UTC
We have "Skip closed days" in the dropdown, but "Calendar" on the table. Both must match
Comment 1 Jonathan Druart 2020-12-18 15:25:08 UTC
Created attachment 114529 [details] [review]
Bug 27280: (bug 27026 follow-up) Make consistent the explanation for "Days mode"

We have "Skip closed days" in the dropdown, but "Calendar" on the table. Both must match

Test plan:
Go to the circ rules, select a value for "Days mode", save the rule,
confirm that the dropdown list values are matching the ones we displayed
in the cells
Comment 2 Caroline Cyr La Rose 2020-12-18 15:30:59 UTC
Created attachment 114530 [details] [review]
Bug 27280: (bug 27026 follow-up) Make consistent the explanation for "Days mode"

We have "Skip closed days" in the dropdown, but "Calendar" on the table. Both must match

Test plan:
Go to the circ rules, select a value for "Days mode", save the rule,
confirm that the dropdown list values are matching the ones we displayed
in the cells

Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>
Comment 3 Nick Clemens 2020-12-21 14:37:39 UTC
Created attachment 114560 [details] [review]
Bug 27280: (bug 27026 follow-up) Make consistent the explanation for "Days mode"

We have "Skip closed days" in the dropdown, but "Calendar" on the table. Both must match

Test plan:
Go to the circ rules, select a value for "Days mode", save the rule,
confirm that the dropdown list values are matching the ones we displayed
in the cells

Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Jonathan Druart 2020-12-26 17:15:52 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Fridolin Somers 2021-01-07 13:45:32 UTC
Pushed to 20.11.x for 20.11.02
Comment 6 Andrew Fuerste-Henry 2021-01-10 20:40:21 UTC
Pushed to 20.05.x for 20.05.08
Comment 7 Victor Grousset/tuxayo 2021-01-18 18:10:25 UTC
Missing dependencies for 19.11.x, can't backport.
Comment 8 Jonathan Druart 2021-01-20 09:32:47 UTC
(In reply to Andrew Fuerste-Henry from comment #6)
> Pushed to 20.05.x for 20.05.08

This should not have been backported to 20.05.x, the circulation rules table is misleading (there is a shift between the th's and td's).
Comment 9 Andrew Fuerste-Henry 2021-01-20 14:09:38 UTC
Reverted from 20.05.x. Sorry about that!